Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class AnyURIDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.AbstractStringValidator
                  |
                  +--weblogic.apache.xerces.validators.datatype.AnyURIDatatypeValidator

public class AnyURIDatatypeValidator
extends AbstractStringValidator

URIValidator validates that XML content is a W3C uri type, according to RFC 2396

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: AnyURIDatatypeValidator.java,v 1.6 2001/06/05 20:37:46 elena Exp $
Author:
  Ted Leung, Jeffrey Rodriguez, Mark Swinkles - List Validation refactoring
See Also:
  2396, Berners-Lee, et. al. RFC 2396: Uniform Resource Identifiers (URI): Generic Syntax.. 1998 Available at: http://www.ietf.org/rfc/rfc2396.txt

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractStringValidator
`FACET_SPECIAL_TOKEN, fEnumeration, fLength, fMaxLength, fMinLength, fTokenType, SPECIAL_TOKEN_ENTITY, SPECIAL_TOKEN_IDNAME, SPECIAL_TOKEN_IDNCNAME, SPECIAL_TOKEN_IDREFNAME, SPECIAL_TOKEN_IDREFNCNAME, SPECIAL_TOKEN_NAME, SPECIAL_TOKEN_NCNAME, SPECIAL_TOKEN_NMTOKEN, SPECIAL_TOKEN_NONE`

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`AnyURIDatatypeValidator()`
`AnyURIDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `assignAdditionalFacets(java.lang.String key, java.util.Hashtable facets)`
`protected void` | `checkValueSpace(java.lang.String content)`
`int` | `compare(java.lang.String content1, java.lang.String content2)`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractStringValidator
`checkBaseFacetConstraints, clone, derivationList, getLength, inheritAdditionalFacets, setTokenType, validate, validateToken`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnyURIDatatypeValidator

    public AnyURIDatatypeValidator()
                            throws InvalidDatatypeFacetException

### AnyURIDatatypeValidator

    public AnyURIDatatypeValidator(DatatypeValidator base,
                                   java.util.Hashtable facets,
                                   boolean derivedByList)
                            throws InvalidDatatypeFacetException

Method Detail

### assignAdditionalFacets

    protected void assignAdditionalFacets(java.lang.String key,
                                          java.util.Hashtable facets)
                                   throws InvalidDatatypeFacetException

  Overrides:
    assignAdditionalFacets in class AbstractStringValidator

### checkValueSpace

    protected void checkValueSpace(java.lang.String content)
                            throws InvalidDatatypeValueException

  Overrides:
    checkValueSpace in class AbstractStringValidator

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference